Get remitter detail.
curl --request GET \
--url https://api.hit-pay.com/v1/remitters/{remitter_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/remitters/{remitter_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/remitters/{remitter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9f0092ca-4b7d-4e33-b503-9dd27b0807ba",
"status": "pending",
"entity_type": "individual",
"full_name": "Hilda Ferry",
"email": "[email protected]",
"address": {
"city": "Singapore",
"state": "Singapore",
"country": "sg",
"postal_code": "238888",
"street_address": "123 Orchard Rd"
},
"id_type": "national_id",
"id_number": "A1748248115",
"nationality": "sg",
"company_name": "Abernathy Inc",
"date_of_birth": "1990-01-01",
"contact_number": "+6591234567",
"place_of_birth": "Singapore",
"created_by": {
"id": "98566f58-1c76-4b8b-8f75-d20bba2bc7f8",
"display_name": "TestingSG",
"first_name": "QA",
"last_name": "SG"
},
"created_at": "2025-05-26T16:28:35+08:00",
"updated_at": "2025-05-26T16:28:35+08:00"
}Remitters
Get Remitter
Retrieve remitter details by ID
GET
/
v1
/
remitters
/
{remitter_id}
Get remitter detail.
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
Remitter id
Response
200 - application/json
200
Available options:
individual, company Available options:
national_id, passport, driving_license Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 25, 2026
Was this page helpful?
⌘I